API Explorer 936 endpoints

Create Dynamic Endpoint

POST /obp/v7.0.0/management/dynamic-endpoints

OBPv4.0.0-createDynamicEndpoint Roles: CanCreateDynamicEndpoint Dynamic-Endpoint-ManageAPI

Create dynamic endpoints.

Create dynamic endpoints with one json format swagger content.

If the host of swagger is dynamic_entity, then you need link the swagger fields to the dynamic entity fields, please check Endpoint Mapping endpoints.

If the host of swagger is obp_mock, every dynamic endpoint will return example response of swagger,

when create MethodRouting for given dynamic endpoint, it will be routed to given url.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "swagger": "2.0",
  "info": {
    "title": "Bank Accounts (Dynamic Endpoint)",
    "version": "1.0.0"
  },
  "definitions": {
    "AccountName": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string",
          "example": "family account"
        },
        "balance": {
          "type": "integer",
          "format": "int64",
          "example": 1000.123
        }
      }
    }
  },
  "paths": {
    "/accounts": {
      "post": {
        "operationId": "POST_account",
        "produces": [
          "application/json"
        ],
        "responses": {
          "201": {
            "description": "Success Response",
            "schema": {
              "$ref": "#/definitions/AccountName"
            }
          }
        },
        "consumes": [
          "application/json"
        ],
        "description": "POST Accounts",
        "summary": "POST Accounts"
      }
    },
    "/accounts/{account_id}": {
      "get": {
        "operationId": "GET_account",
        "produces": [
          "application/json"
        ],
        "responses": {
          "200": {
            "description": "Success Response",
            "schema": {
              "$ref": "#/definitions/AccountName"
            }
          }
        },
        "consumes": [
          "application/json"
        ],
        "description": "Get Bank Account",
        "summary": "Get Bank Account by Id"
      }
    }
  },
  "host": "obp_mock",
  "schemes": [
    "http",
    "https"
  ]
}
Example success response
{
  "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
  "dynamic_endpoint_id": "dynamic-endpoint-id",
  "swagger_string": {
    "swagger": "2.0",
    "info": {
      "title": "Bank Accounts (Dynamic Endpoint)",
      "version": "1.0.0"
    },
    "definitions": {
      "AccountName": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "family account"
          },
          "balance": {
            "type": "integer",
            "format": "int64",
            "example": 1000.123
          }
        }
      }
    },
    "paths": {
      "/accounts": {
        "post": {
          "operationId": "POST_account",
          "produces": [
            "application/json"
          ],
          "responses": {
            "201": {
              "description": "Success Response",
              "schema": {
                "$ref": "#/definitions/AccountName"
              }
            }
          },
          "consumes": [
            "application/json"
          ],
          "description": "POST Accounts",
          "summary": "POST Accounts"
        }
      },
      "/accounts/{account_id}": {
        "get": {
          "operationId": "GET_account",
          "produces": [
            "application/json"
          ],
          "responses": {
            "200": {
              "description": "Success Response",
              "schema": {
                "$ref": "#/definitions/AccountName"
              }
            }
          },
          "consumes": [
            "application/json"
          ],
          "description": "Get Bank Account",
          "summary": "Get Bank Account by Id"
        }
      }
    },
    "host": "obp_mock",
    "schemes": [
      "http",
      "https"
    ]
  }
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-09008: DynamicEndpoint already exists.
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 createDynamicEndpoint Originally /obp/v4.0.0/management/dynamic-endpoints